package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excels;
import com.ruoyi.common.core.domain.entity.SysDept;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**

 * @author ruoyi
 * @date 2021-05-24
 */
public class ReportSummary extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 单位ID */
    @Excel(name = "单位ID")
    private Long deptId;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String deptName;

    /** 单位简称 */
    @Excel(name = "单位简称")
    private String deptShortName;

    /** 业务板块 */
    private String businessSector;

    /** 年度 */
    private Long year;

    /** 1月工资 */
    @Excel(name = "1月工资")
    private BigDecimal Jan;

    /** 2月工资 */
    @Excel(name = "2月工资")
    private BigDecimal Feb;

    /** 3月工资 */
    @Excel(name = "3月工资")
    private BigDecimal Mar;

    /** 4月工资 */
    @Excel(name = "4月工资")
    private BigDecimal Apr;

    /** 5月工资 */
    @Excel(name = "5月工资")
    private BigDecimal May;

    /** 6月工资 */
    @Excel(name = "6月工资")
    private BigDecimal Jun;

    /** 7月工资 */
    @Excel(name = "7月工资")
    private BigDecimal Jul;

    /** 8月工资 */
    @Excel(name = "8月工资")
    private BigDecimal Aug;

    /** 9月工资 */
    @Excel(name = "9月工资")
    private BigDecimal Sep;

    /** 10月工资 */
    @Excel(name = "10月工资")
    private BigDecimal Oct;

    /** 11月工资 */
    @Excel(name = "11月工资")
    private BigDecimal Nov;

    /** 12月工资 */
    @Excel(name = "12月工资")
    private BigDecimal Dec;

    /** 工资总额 */
    @Excel(name = "工资总额")
    private BigDecimal Total;

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptShortName() {
        return deptShortName;
    }

    public void setDeptShortName(String deptShortName) {
        this.deptShortName = deptShortName;
    }

    public String getBusinessSector() {
        return businessSector;
    }

    public void setBusinessSector(String businessSector) {
        this.businessSector = businessSector;
    }

    public Long getYear() {
        return year;
    }

    public void setYear(Long year) {
        this.year = year;
    }

    public BigDecimal getJan() {
        return Jan;
    }

    public void setJan(BigDecimal jan) {
        Jan = jan;
    }

    public BigDecimal getFeb() {
        return Feb;
    }

    public void setFeb(BigDecimal feb) {
        Feb = feb;
    }

    public BigDecimal getMar() {
        return Mar;
    }

    public void setMar(BigDecimal mar) {
        Mar = mar;
    }

    public BigDecimal getApr() {
        return Apr;
    }

    public void setApr(BigDecimal apr) {
        Apr = apr;
    }

    public BigDecimal getMay() {
        return May;
    }

    public void setMay(BigDecimal may) {
        May = may;
    }

    public BigDecimal getJun() {
        return Jun;
    }

    public void setJun(BigDecimal jun) {
        Jun = jun;
    }

    public BigDecimal getJul() {
        return Jul;
    }

    public void setJul(BigDecimal jul) {
        Jul = jul;
    }

    public BigDecimal getAug() {
        return Aug;
    }

    public void setAug(BigDecimal aug) {
        Aug = aug;
    }

    public BigDecimal getSep() {
        return Sep;
    }

    public void setSep(BigDecimal sep) {
        Sep = sep;
    }

    public BigDecimal getOct() {
        return Oct;
    }

    public void setOct(BigDecimal oct) {
        Oct = oct;
    }

    public BigDecimal getNov() {
        return Nov;
    }

    public void setNov(BigDecimal nov) {
        Nov = nov;
    }

    public BigDecimal getDec() {
        return Dec;
    }

    public void setDec(BigDecimal dec) {
        Dec = dec;
    }

    public BigDecimal getTotal() {
        return Total;
    }

    public void setTotal(BigDecimal total) {
        Total = total;
    }

    @Override
    public String toString() {
        return "ReportSummary{" +
                "deptId=" + deptId +
                ", deptName='" + deptName + '\'' +
                ", Jan=" + Jan +
                ", Feb=" + Feb +
                ", Mar=" + Mar +
                ", Apr=" + Apr +
                ", May=" + May +
                ", Jun=" + Jun +
                ", Jul=" + Jul +
                ", Aug=" + Aug +
                ", Sep=" + Sep +
                ", Oct=" + Oct +
                ", Nov=" + Nov +
                ", Dec=" + Dec +
                '}';
    }

}

